<!doctype html>
<html>
 <head>
   <script src='https://cdn.jsdelivr.net/npm/vue'></script>
   <style>
   textarea{
     width: 300px;
     height: 100px;
   }
   </style>
 </head>
 <body>
 
   <div id='myapp'>
     <textarea v-model='message' @keyup='remaincharCount()'></textarea>
     <br>
     <span>{{ remaincharactersText }}</span>
   </div>

   <!-- Script -->
   <script>
   var app = new Vue({
     el: '#myapp',
     data: {
       message: "",
       maxcharacter: 140,
       remaincharactersText: "Remaining 140 characters."
     },
     methods: {
       remaincharCount: function(){

         if(this.message.length > this.maxcharacter){
           this.remaincharactersText = "Exceeded "+this.maxcharacter+" characters limit.";
         }else{

           var remainCharacters = this.maxcharacter - this.message.length;
           this.remaincharactersText = "Remaining " + remainCharacters + " characters.";

         }
 
       }
     }
   })

   </script>
 </body>
</html>